summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rwxr-xr-xtests/test-format.sh2
-rwxr-xr-xtests/test-tidy.sh2
2 files changed, 2 insertions, 2 deletions
diff --git a/tests/test-format.sh b/tests/test-format.sh
index fd3201d0..693377b9 100755
--- a/tests/test-format.sh
+++ b/tests/test-format.sh
@@ -20,7 +20,7 @@ do
*.cpp|*.h)
echo Checking "$file"
PATCH="$(basename "$file").patch"
- git clang-format-12 -q --style file --diff "$GITHUB_BASE_REF" "$file" > "$PATCH"
+ git clang-format-14 -q --style file --diff "$GITHUB_BASE_REF" "$file" > "$PATCH"
if [ -s "$PATCH" ]
then
printf "\033[31mError:\033[0m Formatting error in %s\n" "$file"
diff --git a/tests/test-tidy.sh b/tests/test-tidy.sh
index f1ee5fed..522f6e2a 100755
--- a/tests/test-tidy.sh
+++ b/tests/test-tidy.sh
@@ -17,7 +17,7 @@ do
src/libs/*|src/FreeRTOS/*) continue ;;
*.cpp|*.h)
echo "::group::$file"
- clang-tidy-12 -p build "$file" || true
+ clang-tidy-14 -p build "$file" || true
echo "::endgroup::"
esac
done